> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mountsea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Lyrics

> Generate song lyrics from a text prompt

<Info>
  This is an async task. The response contains a `taskId` — use [Get Task Status](/api-reference/suno/task) to poll for the generated lyrics.
</Info>

## Models

| Model     | Description                      |
| --------- | -------------------------------- |
| `default` | Standard lyrics generation model |
| `remi-v1` | Alternative lyrics model         |


## OpenAPI

````yaml POST /suno/v2/lyrics
openapi: 3.0.0
info:
  title: Suno AI
  description: API documentation for Suno AI
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.mountsea.ai
    description: API Gateway
security: []
tags:
  - name: suno
    description: ''
  - name: suno/studio
    description: Studio Song Editor（与 audio/crop|fade|reverse 独立）
paths:
  /suno/v2/lyrics:
    post:
      tags:
        - suno
      summary: generate lyrics
      description: generate lyrics
      operationId: ApiPublicController_generateLyrics
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GenerateLyricsDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskIdDto'
      security:
        - bearerAuth: []
components:
  schemas:
    GenerateLyricsDto:
      type: object
      properties:
        lyrics_model:
          description: The model to use for generating lyrics.
          example: default
          allOf:
            - $ref: '#/components/schemas/LyricsModel'
        prompt:
          type: string
          description: The prompt to use for generating lyrics.
          example: A happy song about a girl and a boy.
      required:
        - lyrics_model
        - prompt
    TaskIdDto:
      type: object
      properties:
        taskId:
          type: string
          description: task id. Use this id to query task status.
          example: 15c257ff-43f7-4678-bd41-202ad6b8488b
      required:
        - taskId
    LyricsModel:
      type: string
      enum:
        - default
        - remi-v1
      description: The model to use for generating lyrics.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````